LotusSpreadsheetInternal::State Struct Reference documentation

LotusSpreadsheetInternal::State Struct Reference

the state of LotusSpreadsheet More...

## Public Member Functions
| State ()
| constructor
int | getNumSheet () const
| returns the number of spreadsheet
Spreadsheet & | getSheet (int id)
| returns the ith spreadsheet
Table123Styles const * | getTableStyle (int id) const
| returns a table style for a sheet(if it exists)
Table123Styles * | getTablesStyle (Vec2i pos)
| returns a table style for a sheet zone, create it if needed
librevenge::RVNGString | getSheetName (int id) const
| returns the ith spreadsheet name

## Public Attributes
int | m_version
| the file version
std::vector< Spreadsheet > | m_spreadsheetList
| the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )
std::map< std::string, CellsList > | m_nameToCellsMap
| map name to position
std::vector< RowStyles > | m_rowStylesList
| the list of row styles
std::map< Vec2i, size_t > | m_rowSheetIdToStyleIdMap
| map Vec2i(row, sheetId) to row style id
std::multimap< Vec2i, Vec2i > | m_rowSheetIdToChildRowIdMap
| map Vec2i(row, sheetId) to child style
std::map< Vec2i, Table123Styles > | m_sheetIdToTableStyleMap
| map Vec2i(sheetMin, sheetMax) to table style
int | m_sheetCurrentId
| the sheet id

## Detailed Description

the state of LotusSpreadsheet

## Constructor & Destructor Documentation

## ◆ State()

LotusSpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getNumSheet()

int LotusSpreadsheetInternal::State::getNumSheet | ( |  | ) | const
| inline

returns the number of spreadsheet

## ◆ getSheet()

Spreadsheet & LotusSpreadsheetInternal::State::getSheet | ( | int | id | ) |
| inline

returns the ith spreadsheet

## ◆ getSheetName()

librevenge::RVNGString LotusSpreadsheetInternal::State::getSheetName | ( | int | id | ) | const
| inline

returns the ith spreadsheet name

## ◆ getTablesStyle()

Table123Styles * LotusSpreadsheetInternal::State::getTablesStyle | ( | Vec2i | pos | ) |
| inline

returns a table style for a sheet zone, create it if needed

## ◆ getTableStyle()

Table123Styles const * LotusSpreadsheetInternal::State::getTableStyle | ( | int | id | ) | const
| inline

returns a table style for a sheet(if it exists)

## Member Data Documentation

## ◆ m_nameToCellsMap

std::map<std::string, CellsList> LotusSpreadsheetInternal::State::m_nameToCellsMap

map name to position

Referenced by State().

## ◆ m_rowSheetIdToChildRowIdMap

std::multimap<Vec2i,Vec2i> LotusSpreadsheetInternal::State::m_rowSheetIdToChildRowIdMap

map Vec2i(row, sheetId) to child style

Referenced by State().

## ◆ m_rowSheetIdToStyleIdMap

std::map<Vec2i,size_t> LotusSpreadsheetInternal::State::m_rowSheetIdToStyleIdMap

map Vec2i(row, sheetId) to row style id

Referenced by State().

## ◆ m_rowStylesList

std::vector<RowStyles> LotusSpreadsheetInternal::State::m_rowStylesList

the list of row styles

Referenced by State().

## ◆ m_sheetCurrentId

int LotusSpreadsheetInternal::State::m_sheetCurrentId

the sheet id

Referenced by State().

## ◆ m_sheetIdToTableStyleMap

std::map<Vec2i,Table123Styles> LotusSpreadsheetInternal::State::m_sheetIdToTableStyleMap

map Vec2i(sheetMin, sheetMax) to table style

Referenced by getTablesStyle(), getTableStyle(), and State().

## ◆ m_spreadsheetList

std::vector<Spreadsheet> LotusSpreadsheetInternal::State::m_spreadsheetList

the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )

Referenced by getNumSheet(), getSheet(), getSheetName(), and State().

## ◆ m_version

int LotusSpreadsheetInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- LotusSpreadsheet.cpp